Page MenuHomePhabricator

MenuTagMultiselectWidget with { highlightOnFilter: true } cannot change selected item in menu
Closed, ResolvedPublic

Description

This issue can be seen on this example.

  1. Click inside the textinput
  2. The menu opens and the first item is highlighted
  3. Click the keyboard down key
  4. Issue: the highlight is briefly on the second item but it goes back to the first one

Event Timeline

SBisson created this task.Nov 16 2018, 5:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2018, 5:20 PM

Change 492407 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[oojs/ui@master] MenuTagMultiselectWidget: Fix highlight and scrolling to item behavior

https://gerrit.wikimedia.org/r/492407

Change 492407 merged by jenkins-bot:
[oojs/ui@master] MenuTagMultiselectWidget: Fix highlight and scrolling to item behavior

https://gerrit.wikimedia.org/r/492407

Change 498143 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Change 498143 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF closed this task as Resolved.Mar 22 2019, 7:20 PM
Jdforrester-WMF assigned this task to Mooeypoo.

This patch landed in MediaWiki master in time for 1.33.0-wmf.23, which will go out to Wikimedia production from 2019-03-26.